<h1>Sanddir <?php _($selected_dir); ?></h1>

<a href="?">Return to list of directories</a>

</br>
</br>

<a href="?dir=<?php _($selected_dir); ?>&action=share">Add a share</a>

<?php
if (isset($_GET['action']) && $_GET['action'] == 'share')
{
?>
    <form method="POST" action="index.php?dir=<?php _($selected_dir) ?>&action=add">
        <input name="dirname" id="dirname" type="hidden" value="<?php _($selected_dir) ?>" />
        <label for="name">Name</label>
        <input name="name" id="name" type="text" />
        </br>

        <label for="description">Description</label>
        <input name="description" id="description" type="text" />
        </br>

        <label for="expiration">Expiration</label>
        <select name="expiration" id="expiration">
            <option value="1D">1 day</option>
            <option value="1W">1 week</option>
            <option value="1M">1 month</option>
            <option value="1Y">1 year</option>
            <option value="U">undefined</option>
        </select>
        </br>

        <input type="submit" />
    </form>
<?php
}
$shares = read_tsv($selected_dir, tsv_path($selected_dir));

if (count($shares))
{
?>

    <h2>Existing shares for <?php _($selected_dir) ?></h2>

    <table>
        <tr>
            <th>Name</th>
            <th>Description</th>
            <th>Creation</th>
            <th>Expiration</th>
            <th>Actions</th>
        </tr>
    <?php
    foreach ($shares as $share)
    {
    ?>
        <tr>
            <td>
                <?php _($share['name']) ?>
            </td>
            <td>
                <?php _($share['description']) ?>
            </td>
            <td>
            <?php
                _(
                    explode('T', $share['creation'])[0]
                );
            ?>
            </td>
            <td>
            <?php
                _(
                    $share['expires']
                    ? explode('T', $share['expires'])[0]
                    : 'never'
                );
            ?>
            </td>
            <td>
                <a href="?dir=<?php _($selected_dir) ?>&action=remove&creation=<?php _($share['creation']) ?>">
                    Delete
                </a>
            </td>
        </tr>
    <?php
    }
    ?>
    </table>
<?php
}
?>


